package com.nantian.cloud.dbcapp.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.nantian.cloud.dbcapp.entity.ConfigureDataCollect;

import java.util.List;
import java.util.Map;

public interface ConfigureDataCollectService extends IService<ConfigureDataCollect> {
    Map<String, Object> getList(Page page, String epc, String collectItemName);

    List<Map<String, Object>> getListData(String epc, String collectItemName);
    List<Map<String, Object>> getListDataNew(String epc, String collectItemName);
    ConfigureDataCollect getListDataNewMap(String epc, String collectItemName);

    boolean updateByepc(ConfigureDataCollect obj);

    boolean saveData(ConfigureDataCollect configureDataCollect);
}
